package intrinsic.flash.media;

public class Video extends intrinsic.flash.display.DisplayObject {

	/** Accessors */
	public int videoWidth;
	public int deblocking;
	public int videoHeight;
	public boolean smoothing;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Video() {
}

public Video(Object arg0) {
}

public Video(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void attachNetStream(intrinsic.flash.net.NetStream arg0);
public native void clear();
public native void attachCamera(intrinsic.flash.media.Camera arg0);

}
